const router = require('express').Router();
const pug = require('pug');

const loginHtml = pug.renderFile('pug/login.pug');

module.exports = passport => router
.get('/login', (req, res) => {
  res.send(loginHtml);
})
.post('/login', passport.authenticate('local', {
  successRedirect: '/',
  failureRedirect: '/login',
  failureFlash: false
}));