const router = require('express').Router();
const pug = require('pug');
const bcrypt = require('bcrypt');

const registerHtml = pug.renderFile('pug/register.pug');

module.exports = User => router
  .get('/register', (req, res) => {
    res.send(registerHtml);
  })
  .post('/register', (req, res) => {
    User
      .findCreateFind({ where: { pseudo: req.body.username }, defaults: { mdp: req.body.password } })
      .then(([user, created]) => {
        if (created) {
          res.redirect('/');
        } else {
          res.redirect('back');
        }
      });
  });